

/*********************************************************************
;* FileName     : Main_Demo.c
;* Dependencies : See INCLUDES section below
;* Processor    : PIC16F family of PICmicro - 8 bit MCU      
;* Assembler/
;* Linker       : HI-TECH PICC STD 9.60 /Also on 9.65 Pro
;* Company      : Microchip Technology, Inc.
;*
;*                     Software License Agreement                      
;*                                                                     
;* Microchip Technology Inc. (Microchip) licenses this software to you
;* solely for use with Microchip microcontrollers and Microchip serial
;* EEPROM products.  The software is owned by Microchip and/or its
;* licensors, and is protected under applicable copyright laws.  All
;* rights reserved.
;*
;* SOFTWARE IS PROVIDED "AS IS."  MICROCHIP AND ITS LICENSOR EXPRESSLY
;* DISCLAIM ANY WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED,
;* INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
;* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
;* NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP AND ITS LICENSORS BE
;* LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
;* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
;* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
;* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
;* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
;*
;* Author                   Date                Version         Comment
;*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;* Deepak Kumar Rana        20-Feb-08           V1.0            Original
;*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/


	
    #include "SRAM_main.h"
    
  __CONFIG(HS &  WDTDIS & PWRTEN & MCLREN &  LVPDIS &BORDIS &BORV21 &DEBUGEN);

void main(void)
{
	unsigned char Data_In,High_Add,Low_Add,Num_byte;
    unsigned char data;
    Init_SPI();							//Initalize the MSSP module for SPI master CKP=0 CKE
   /* Byte mode Demo */ 

     SRAMWriteStatusReg(Byte_Mode);					//Configure the SRAM in Byte Mode
     SRAMReadStatusReg();								
     High_Add =0x0;							// Higher Address Byte of the SRAM location
     Low_Add  =0x20;						// Lower Address Byte of the SRAM location
	 data =0x55; 							// Data to be written
     SRAMWriteByte(High_Add,Low_Add,data);     // Write byte to the specified address location in SRAM
     Data_In = SRAMReadByte(High_Add,Low_Add); // Read byte from the specified address location in SRAM
  /*Byte Demo End */	
	
  /* Page mode Demo */
    
     data = 0xAA;
     Num_byte =32;
     Init_Datamem(data,Num_byte);			// Initilaize the controller data memory Data_Writepage for page operation to SRAM
     SRAMWriteStatusReg(Page_Mode);					// Configure SRAM to Page mode
     SRAMReadStatusReg();
     High_Add =0x0;							// Higher Address Byte of the SRAM location
     Low_Add  =0x00;						// Lower Address Byte of the SRAM location
	 Num_byte =32;							// Number of Byte to written to the page
	 SRAMWritePage(High_Add,Low_Add,Num_byte); // Write to page of the SRAM the data stored in the Data_Writepage of controller data memory
     SRAMReadPage(High_Add,Low_Add,Num_byte);  // Read from the page of the SRAM starting from the mentioned Address location the specified number of bytes

  /*Page mode Demo End */ 
   
  /*Sequence Mode Demo*/
     data = 0x39;
     Num_byte =32;
     Init_Datamem(data,Num_byte);			// Initilaize the controller data memory Data_Writepage for sequential operation to SRAM
     SRAMWriteStatusReg(Seq_Mode);					// Configure SRAM to Sequence Mode
     SRAMReadStatusReg();
     High_Add =0x0;							// Higher Address Byte of the SRAM location
     Low_Add  =0x00;						// Lower Address Byte of the SRAM location
	 Num_byte =32;							// Number of Byte to written in Sequence Mode
	 SRAMWriteSeq(High_Add,Low_Add,Num_byte);	// Write to the SRAM the data stored in the Data_Writepage of controller data memory
     SRAMReadSeq(High_Add,Low_Add,Num_byte);   // Read from the SRAM starting from the mentioned Address location the specified number of bytes
    /*Sequence Mode Demo end */
	  
	while(1);	
}