/*********************************************************************
;* FileName     : SRAM_driver.h
;* Dependencies : See INCLUDES section below
;* Processor    : PIC18F family of PICmicro - 8 bit MCU      
;* Assembler/
;* Linker       : HI-TECH PIC18 C Pro V9.63PL2
;* Company      : Microchip Technology, Inc.
;*
;*                     Software License Agreement                      
;*                                                                     
;* Microchip Technology Inc. (Microchip) licenses this software to you
;* solely for use with Microchip microcontrollers and Microchip serial
;* EEPROM products.  The software is owned by Microchip and/or its
;* licensors, and is protected under applicable copyright laws.  All
;* rights reserved.
;*
;* SOFTWARE IS PROVIDED "AS IS."  MICROCHIP AND ITS LICENSOR EXPRESSLY
;* DISCLAIM ANY WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED,
;* INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
;* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
;* NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP AND ITS LICENSORS BE
;* LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
;* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
;* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
;* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
;* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
;*
;* Author                   Date                Version         Comment
;*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;* Deepak Kumar Rana         1-Jul-09           V1.0            Original
;*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/


    #include <htc.h>

    void   Init_SPI(void);
	void   Write_SR(unsigned char);
    unsigned char Read_SR(void);
	void   SRAMWriteByte(unsigned char,unsigned char,unsigned char);
	unsigned char  SRAMReadByte(unsigned char,unsigned char);
	void   Init_Datamem(unsigned char,unsigned char);
	void   SRAMWritePage(unsigned char,unsigned char,unsigned char); 
	void   SRAMReadPage(unsigned char,unsigned char,unsigned char); 
	void   SRAMReadSeq(unsigned char,unsigned char,unsigned char);
	void   SRAMWriteSeq(unsigned char,unsigned char,unsigned char);





/**************************************************************************	
	;Define SPI commands for the SRAM
;**************************************************************************/
	#define  Read   0x03     	//read from memory array beginning at the selected address
	#define  Write  0x02     	//write to memory array beginning at the selected address
	#define  RDSR   0x05     	//read the status register
	#define  WRSR   0x01     	//write the status register

  

/**************************************************************************
	;Hardware Definations
    ;Verify the header file before commenting or uncommeting the definations
    ;In case of PIC18F45K20 already the SCK,SDI and SDO are defined in header file
;**************************************************************************/	
	#define  CE    RC2    		//RC2 pin(17) is CS 
	#define  SCK   RC3    		//RC3 pin(18) is SCK
	#define  SDI   RC4    		//RC4 pin(23) is SDI
	#define  SDO   RC5    		//RC5 pin(24) is SDO   


      
	unsigned char   Data_Writepage[32];
	unsigned char   Data_Readpage[32];
	 
	unsigned char   mode;
	