  
/*********************************************************************
;* FileName     : SRAM_main.h
;* Dependencies : See INCLUDES section below
;* Processor    : PIC18F family of PICmicro - 8 bit MCU      
;* Assembler/
;* Linker       : HI-TECH PIC18 C Pro V9.63PL2
;* Company      : Microchip Technology, Inc.
;*
;*                     Software License Agreement                      
;*                                                                     
;* Microchip Technology Inc. (Microchip) licenses this software to you
;* solely for use with Microchip microcontrollers and Microchip serial
;* EEPROM products.  The software is owned by Microchip and/or its
;* licensors, and is protected under applicable copyright laws.  All
;* rights reserved.
;*
;* SOFTWARE IS PROVIDED "AS IS."  MICROCHIP AND ITS LICENSOR EXPRESSLY
;* DISCLAIM ANY WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED,
;* INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
;* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
;* NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP AND ITS LICENSORS BE
;* LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
;* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
;* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
;* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
;* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
;*
;* Author                   Date                Version         Comment
;*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;* Deepak Kumar Rana        1-Jul-09           V1.0            Original
;*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/
 

//    #include <pic.h>
    #include <htc.h>

    #define Byte_Mode 0x01  		// ;bit7 =0 bit6 =0 Byte Mode setting LSB 1 disables the hold functionality
	#define Page_Mode 0x81  		// ;bit7 =1 bit6 =0 Page Mode 
	#define Seq_Mode  0x41  		// ;bit7 =0 bit6 =1 Sequential mode

	 
        	
	extern void   Init_SPI(void);
	extern void   SRAMWriteStatusReg(unsigned char);
	extern unsigned char SRAMReadStatusReg(void);
	extern void   SRAMWriteByte(unsigned char,unsigned char,unsigned char);
	extern unsigned char   SRAMReadByte(unsigned char,unsigned char);
	extern void   Init_Datamem(unsigned char,unsigned char);
	extern void   SRAMWritePage(unsigned char,unsigned char,unsigned char); 
	extern void   SRAMReadPage(unsigned char,unsigned char,unsigned char); 
	extern void   SRAMReadSeq(unsigned char,unsigned char,unsigned char);
	extern void   SRAMWriteSeq(unsigned char,unsigned char,unsigned char);

    